// priority: 1

let unusableItems = [
    'industrialforegoing:infinity_drill',
    'industrialforegoing:infinity_backpack',
    'industrialforegoing:infinity_trident',
    'industrialforegoing:infinity_saw',
    'industrialforegoing:infinity_hammer',
    'industrialforegoing:infinity_launcher',
    'industrialforegoing:infinity_nuke',
    'industrialforegoing:infinity_charger',

    'powder_power:hammer_alchemist',
    'powder_power:hammer_motar_pestle',
    'powder_power:wand_alchemist',
];

let uncraftableItems = [
    'ars_nouveau:imbuement_chamber',
    'ars_nouveau:novice_spell_book',
    'ars_nouveau:dominion_wand',
    'powah:dielectric_paste',
    'powah:spirited_crystal',
    'powah:niotic_crystal',
    'powah:capacitor_basic_tiny',
    'powah:capacitor_basic',
    'powah:dielectric_casing',
    'powah:aerial_pearl',
    'powah:ender_core',
    'prettypipes:blank_module',
    'ae2:printed_logic_processor',
    'ae2:printed_engineering_processor',
    'ae2:printed_calculation_processor',
    'ae2:printed_silicon',
    'ae2:quartz_glass',
    'bountiful:bountyboard',
    'bountiful:decree',
    'miapi:modular_work_bench',
    'immersive_aircraft:airship',
    'immersive_aircraft:industrial_gears',
    'ironfurnaces:augment_generator',
    'croptopia:dough',
    'darkutils:blank_plate',
    'darkutils:damage_plate_player',
    'darkutils:damage_plate',
    'croptopia:flour',
    "sophisticatedstorage:storage_link"
];

let uncraftableVanilla = [
    "thermal:tomato_sauce",
    "thermal:peanut_butter"
];

global.uncraftables = {uncraftable: uncraftableItems, unusable: unusableItems}

ServerEvents.recipes(event => {

    //event.remove({id: 'industrialforegoing:iron_gear'});
    //event.remove({id: 'industrialforegoing:gold_gear'});
    //event.remove({id: 'industrialforegoing:diamond_gear'});

    event.remove({output: 'ars_nouveau:source_gem', type: 'ars_nouveau:imbuement'});

    uncraftableVanilla.forEach(item => {
        event.remove({output: item, type: 'minecraft:crafting'});
    })

    unusableItems.forEach(item => {
        event.remove({output: item});
        event.remove({input: item});
    })

    uncraftableItems.forEach(item => {
        event.remove({output: item});
    })

});